Upgrade questions

We had standardized on an older version which several of our customers are using - 10.5.200.  None of these use subscription licensing.  The developer that created the API's is no longer available to assist.

My questions are as follows:

1) Can I upgrade from 10.5.200 to 12.2.100 or newer 14.1.300 without fear that it will not function with our existing code/api's?  Or is the only way to know is to test?

2) If I upgrade a customer to a more current version, do I need to update the voices as well?

3) If I do nothing will their TTS still function with the current licensing in place or am I required to upgrade and required to move them to the flexible licensing?

Need some help understaind the ramifacations of upgrading or doing nothing.

jeff@lumenvox.com's picture

i believe you might be referring to the product notification that LumenVox sent out earlier this week regarding upgrading to LumenVox Flexible Licensing for Subscription License Customers. This change only applies to LumenVox installations using our Subscription licenses, not to permanent licenses that you download.

1) The LumenVox Knowledge Base documents changes, deprications, etc. from release to release.  You should definetly review it from your current version forward to the release you plan to upgrade to for guidance in determining where there is some change that might impact your applications.  Since we have no visibility into the content of your applications, we can only document the changes and trust you to know if your application might be impacted by a change.  Testing your application against the version of LumenVox you plan to use is always recommended.

2) Yes, if you upgrade core LumenVox functions (Engine, ASR, TTS, etc.) you should upgrade the ASR languages and TTS voices to match.

3) If you or your customer are using existing Subscription licenses, they must be converted to the new Flexible Licensing model prior to May 31, 2016.  We will be retiring the cloud hosted legacy Subscription License Servers at that time.

It's also worth noting that we support the eight (8) most recent releases or releases of LumenVox that are less than 2 years old.  Version 10.5.200 is an unsupported release as it is 17 release back and was issued in August of 2012.

In the notice we sent out regarding this subject, we asked that you contact LumenVox Technical Support either via Support@LumenVox.com or by phone at (858) 707-7700 and asking for "Technical Support".  If you have any follow up questions, please use those channels for this topic.

Thanks,
Jeff Hopper
VP, Client Services